Manage orders - Get attachments for an order

Gets the attachments associated with an order.

GET https://api.partnercenter.microsoft.com/v{version}/customers/{customer_id}/orders/{order_id}/attachments

URI Parameters

Name In Required Type Description
customer_id
path True

string

The customer identifier.

order_id
path True

string

The order identifier.

version
path True

string

The API version number.

Request Header

Name Required Type Description
Authorization True

string

Authorization Bearer token

ms-correlationid

string

Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request

ms-cv

string

Used for tracking requests internally. If a ms-cv is not provided, the server will generate a new one for each request

ms-requestid

string

Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request

Accept True

string

Typically application/json.

Responses

Name Type Description
200 OK

AttachmentResponseCollection

The request was successful. The response body contains the attachment details.

Media Types: "application/json", "text/json"

400 Bad Request

There was a missing or an invalid input. The response body will provide the error details.

Media Types: "application/json", "text/json"

401 Unauthorized

The request was not authenticated. The client needs to authenticate with the partner API service first.

Media Types: "application/json", "text/json"

403 Forbidden

The request was authenticated but was refused since the caller does not have the rights to invoke it.

Media Types: "application/json", "text/json"

404 Not Found

The resource is not found or not available with the given input parameters.

Media Types: "application/json", "text/json"

500 Internal Server Error

The partner API service or one of its dependencies failed to fulfill the request. Callers may retry this.

Media Types: "application/json", "text/json"

Definitions

Name Description
AttachmentResponse

Represents an attachment associated with an order.

AttachmentResponseCollection

Represents a collection of order attachments.

Link

Represents a link resource.

ResourceAttributes

Represents a resource attributes resource.

ResourceLinks

Represents a resource links resource.

StringStringKeyValuePair

Represents a key value pair resource.

AttachmentResponse

Represents an attachment associated with an order.

Name Type Description
attachmentId

string

The attachment identifier.

attachmentType

string

The attachment type.

fileName

string

The attachment file name.

sizeInKB

integer (int32)

The attachment file size in kilobytes.

AttachmentResponseCollection

Represents a collection of order attachments.

Name Type Description
attributes

ResourceAttributes

Additional attributes associated with the collection.

items

AttachmentResponse[]

The attachments in the collection.

links

ResourceLinks

Links to related resources.

totalCount

integer (int32)

The total number of attachments in the collection.

Represents a link resource.

Name Type Description
body

string

The body for the link.

headers

StringStringKeyValuePair[]

The collection of headers associated with this link.

method

string

The method for the link.

uri

string

The URI for the related resource.

ResourceAttributes

Represents a resource attributes resource.

Name Type Description
etag

string

The entity tag used for concurrency control.

objectType

string

The object type for the resource attributes.

Represents a resource links resource.

Name Type Description
next

Link

Additional next associated with the resource links.

previous

Link

Additional previous associated with the resource links.

self

Link

Additional self associated with the resource links.

StringStringKeyValuePair

Represents a key value pair resource.

Name Type Description
key

string

The key for the key value pair.

value

string

The value for the key value pair.